
@media (min-width: 576px) {
    .container {
        max-width: 100%;
    }
}
@media (min-width: 768px) {
    .container{
        max-width: 100%;
    }
  
}

@media (min-width: 1200px) {
   
    .container {
        max-width: 1345px;
    }
     .min-container{
        max-width: 1150px;
    }
}


@media (max-width: 1300px) {
  
    .nav-list {
        gap: 10px;
    }
    .lang-switch ul {
        gap: 10px;
    }
}

@media (max-width: 1200px) {


    .table-row-right > div, .table-row-left > div {
        padding: 10px 5px;
    }

  
    .profile--comment {
        flex-wrap: wrap;
    }
    .profile--orders-numbers-grid {
        padding: 15px;
    }
    .profile--orders-numbers-grid h2 {
        font-size: 14px;
    }
    .profile--orders-button {
        flex-wrap: wrap;
    }
    .profile--orders-numbers {
          grid-template-columns: repeat(2, 1fr);
    }
    .profile--info-order {
        grid-template-columns: repeat(1, 1fr);
    }
    .orders--table thead tr:first-child th,
    .orders--table td{
        padding: 10px 10px;
        font-size: 10px;
    }
    .orders--table{
        overflow-x: auto;
    }
    .profile--content{
        gap: 24px;
    }
    .profile--password-grid{
        width: 100%;
        max-width: 100%;
    }
    .profile--password-block{
        align-items: flex-start;
        justify-content: flex-start;
        gap: 16px;
        flex-direction: column;
    }
    .profile--finance-summary{
        grid-template-columns: repeat(2, 1fr);
    }
    .profile--addresse-grid:last-child {
        max-width: 100%;
        border:0;
        margin: 0;
        padding: 0;
    }
    .product--document h2{
        font-size: 16px;
    }
    .product--bottom {
        justify-content: center;
        flex-direction: column-reverse;
        align-items: center;
    }
    .product--cart {
        gap: 12px;
    }
    .add--cart{
        min-width: max-content;
        padding: 15px 10px;
        font-size: 14px;
        line-height: normal;
    }
    .product--count-number input{
        max-width: 35px;
    }
    .count {
        width: 30px;
    }
    .product--top {
        gap: 15px;
    }
    .product--options h1{
        font-size: 22px;
        line-height: normal;
    }
    .product--images {
        max-width: 50%;
    }
    .card--profile-bottom {
        flex-wrap: wrap;
    }
    .category--table {
    }

    .product--left,
    .profile--content {
        max-width: 70%;
    }
    .category--wrapper-left {
        max-width: 75%;
    }
    .category--wrapper-sidebar {
        max-width: 25%;
    }
    .category--wrapper {
        gap: 12px;
    }
    .category--wrapper-top{
        flex-wrap: wrap;
    }
    .category--wrapper-sidebar,
    .product--sidebar{
        min-width: inherit;
    }
    .forum--section-title {
        font-size: 32px;
    }
    .maps--content{
        width: 100%;
    }
    .maps--img {
        max-width: 235px;
    }
    .stores--day-left{
        max-width: 530px;
    }
    .news--single-page h1 {
        font-size: 42px;
    }
    .news--single-middle{
        margin-top: -160px;
    }
    .forum--top-left-accounts-grid-image span,
    .forum--top-left-accounts-grid-image img{
        width: 30px;
        height: 30px;
        min-width: 30px;
        max-width: 30px;
        font-size: 14px;
    }
    .forum--top-left-accounts-grid{
        gap: 10px;
    }
    .forum--top-left-accounts-blocks{
        gap: 10px;
    }
    .btn--contact {
        margin-top: 20px;
        font-size: 16px;
    }
    .contact--req p {
        font-size: 16px;
    }
    .grid-numbers{
        padding: 30px 25px;
        font-size: 34px;
        gap: 15px;
    }
    .contact--req-grid:not(:last-child){
        margin-bottom: 10px;
    }
    .contact--req-grid{
        font-size: 16px;
        line-height: normal;
    }
    .contact--req{
        padding: 25px 30px;
    }
    .grid-numbers span{
        line-height: normal;
        font-size: 20px;
    }
    .about--page h1 span{
        font-size: 88px;
    }
    .about--page h1{
        bottom: -15px;
    }
    .about--page{
        min-height: 190px;
    }
    .about--middle{
        padding-top: 50px;
    }
  
    .stores--page h1 {
        max-width: 100%;
    }
    .catalog-grid {
        grid-template-columns: repeat(4, 1fr);
    }
    .ql-card h3 {
        font-size: 1rem;
    }
    .btn-login  {
        font-size: 0;
        display: block;
    }
    .logo {
        display: flex;
        flex-direction: column;
        gap: 5px;
        align-items: flex-start;
    }
    .logo span {
        display: none;
    }
    .right--phone{
        font-size: 16px;
    }
    .header-contacts{
        gap: 10px;
    }
    .text-block h1{
        font-size: 1.5rem;
    }
    .slide-content {
        padding: 20px;
    }

    .lang-switch-mobile {
        position: relative;
        transition: .4s all ease-out;
        display: block;
    }
     .lang-switch {
        display: none;
    }
    .lang-switch-mobile a.actives {
        border-radius: 4px;
        position: relative;
        display: flex;
        align-items: center;
        padding: 4px 8px;
        font-weight: 300;
        font-size: 12px;
        line-height: 26px;
        color:var(--primary-blue);
        gap: 5px;
        transition: .4s all ease-out;
    }
    .lang-switch-mobile img {
        min-width:22px;
        max-width: 22px;
    }
    .lang-switch-mobile a.actives:after {
        content: '';
        background-repeat: no-repeat;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='9' height='5' viewBox='0 0 9 5' fill='none'%3E%3Cpath d='M0.399902 0.399994L4.3999 4.39999L8.3999 0.399994' stroke='%23003366' stroke-width='0.8' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
        width: 12px;
        height: 7px;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        width: 100%;
        left: 0;
        z-index: 123123;
        border: 1px solid #F1F1F1;
        top: 33px;
    }
   
    .lang-switch-mobile:hover .dropdown-content {
        display: flex;
        flex-direction: column;
    }

    .dropdown-content a {
        padding: 4px 8px;
        font-weight: 300;
        font-size: 12px;
        line-height: 26px;
        color: var(--primary-blue);
        border-bottom: 1px solid #F1F1F1;
        transition: .4s all ease-out;
        display: flex;
        background: #F7F9FC;
        align-items: center;
        gap: 5px;
    }

    .dropdown-content a:hover {
        background-color: var(--primary-blue);
        color:var(--white)
    }
    .brands--logo{
        overflow-x: scroll;
    }
    .category-search-logged {
       flex-wrap: wrap;
    }
    .category-search-logged-left {
        min-width: max-content;
    }
    .product--wrapper {
        gap: 15px;
    }
    .info-grid{
        grid-template-columns: repeat(6, 1fr);
    }
    .info-grid .cat-item:nth-child(n+4) {
        grid-column: span 3;
    }
    .info-grid .cat-item:nth-child(-n+3) {
        grid-column: span 2;
    }
  
}


@media (max-width: 992px) {
 
    .table-row-right > div, .table-row-left > div{
        padding: 10px 3px;
    }
    .search-bar .custom-select__trigger{
        font-size: 14px;
        padding: 12px 12px;
    }
  
    .header-middle__container {
        gap: 10px;
    }
    .header-contacts .phone {
        gap: 0;
    }
    .archive--row {
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }
    .registr--content .input-group:not(:last-child) {
        margin-bottom: 24px;
    }
    .orders--top-left,
    .orders--top-left select {
        width: 100%;
    }
    .order--top-right{
        justify-content: space-between;
        width: 100%;
    }
    .order--top{
        flex-wrap: wrap;
    }
    .profile--wrapper {
        gap: 20px;
    }
    .profile--account a{
        font-size: 14px;
        line-height: normal;
    }
    .product--bottom-left{
        gap: 30px;
    }
    .product--options h1{
        font-size: 20px;
    }
    .product--images {
        max-width: 40%;
        padding: 30px 15px 15px 15px;
    }
    .category--table td {
        padding: 8px 12px;
    }
    .category--wrapper {
        margin-top: 15px;
        gap: 6px;
  
    }
    .category--table{
        
    }
    .category--wrapper-top {
        flex-wrap: wrap;
    }
   
    .product--sidebar,
    .profile--sidebar
     {
        min-width: inherit;
        max-width: 35%;
    }
    
    .profile--content {
        max-width: 60%;
    }
    .category--wrapper-left  {
        max-width: 76%;
    }
     .category--wrapper-sidebar {
        max-width: 24%;
     }
    .card--profile--content,
    .card--profile--top,
    .card--profile--content
    .sing--profile--wrapper,
    .same--cat--wrapper,
    .product--document-block,
    .product--company,
    .product--document h2,
    .profile--account {
        padding: 15px;
    }
    .card--profile-bottom,
    .buttons {
        flex-wrap: wrap;
        min-width: auto;
    } 
    .forum--section-title {
        font-size: 24px;
    }
    .card--profile--top,
    .sing--profile--wrapper h2 {
        font-size: 16px;
    }
    .card--profile-name {
        font-size: 14px;
    }
    .card--profile-text {
        font-size: 11px;
        line-height: normal;
    }

    .titles--catalog{

    }
    .maps--img img {
        object-fit: cover;
        height: 100%;
    }
    .maps--left {
        align-items: stretch;
        gap: 15px;
    }
    .partners--flag {
        display: none;
    }
    .btn--forum{
        margin-top: 15px;
    }
    .contact--form--block{
        flex-wrap: wrap;
    }
    .contact--form-right{
        max-width: 100%;
    }
    .contact--req {
        margin-top: 30px;
    }
    .about--middle .row:not(:last-child){
        margin-bottom: 30px;
    }
    .about--middle img {
        width: 100%;
    }
    .row-bg .col-lg-6:not(:last-child),
    .about--middle .col-lg-6:not(:last-child){
        margin-bottom: 15px;
    }
    .partners--friends-grid{
        width: calc(100% / 3 - 20px);
    }
    .partners--friends-wrapper {
        overflow-y: auto;
    }
    .partners--logo-grid {
        width: calc(100% / 2 - 20px);
    }
    .partners--bottom thead tr:first-child th{
        font-size: 13px;
        padding: 10px 15px;
    }
    .partners--bottom td{
        padding: 10px 15px;
        font-size: 13px;
    }
    .partners--flag:before{
        height: 120px;
    }
    .partners--logo-title{
        font-size: 14px;
    }
    .header-top__container {
        flex-wrap: wrap;
    }
    .search-bar {
        max-width: 100%;
        margin-top: 10px;
    }
   .news-image {
      min-width: 100px;
      max-width: 100px;
   }
   .right--phone,
   .right--phone span {
      font-size: 0
   }
   .search-bar {
    margin-top: 0;
   }
   .nav-list a{
    font-size: 12px;
   }
   .header-nav {
        width: 100%;
    }
    .nav-list {
        gap: 5px;
        justify-content: space-between;
    }
    .news-text .news-link{
        font-size: 12px;
        -webkit-line-clamp: 1;
    }
    .news-tag{
        font-size: 8px;
    }
    .news-text .date{
        font-size: 10px;
    }
    .hero-slider {
        height: auto;
    }
    .img-block{
        width: 35%;
    }
    .text-block {
        width: 65%;
    }
    .ql-card{
        padding: 14px 20px;
    }
    .quick-links__container,
    .promo__container{
        grid-template-columns: auto;
    }
    .hero,
    .quick-links,
    .catalog,
    .about,
    .advantages,
    .promo,
    .brands {
        padding: 15px 0;
    }
    .partners--friends,
    .partners--page-bottom,
    .partners--friends,
    .about--middle,
    .forum--section {
          padding: 30px 0;
    }
    .forum--wrapper{
        margin-top: 30px;
    }   
    .text-block p{
        font-size: 14px;
        line-height: normal;
        margin-bottom: 15px;
    }
    .catalog-grid {
        grid-template-columns: repeat(3, 1fr);
    }
    .about-content h2{
        line-height: normal;
    }
    .about-content {
        max-width: 60%;
    }
    .about-img{
        max-width: 40%;
    }
    .about__container{
        gap: 15px;
    }
    .adv-item svg {
        min-width: 42px;
        max-width: 42px;
    }
    .adv-item {
        width: calc(100% / 2 - 15px);
    }
    .advantages__container{
        flex-wrap: wrap;
        gap: 25px;
    }
    .footer-top{
        gap: 15px;
    }
    .profile--orders-numbers {
        grid-template-columns: repeat(1, 1fr);
    }
    .profile--orders-button {

    }
    .btn--order {
        padding: 8px 12px;
        font-size: 12px;
    }
    .profile--field-order {
        gap: 16px;
    }
    .editor--change  .profile--orders-button {
        flex-wrap: nowrap;
    }
    .vacances--grid-image img{
        max-width: 170px;
        max-height: 170px;
        min-height: 170px;
        min-width: 170px;
    }
    .archive--grid-title{
        font-size: 18px;
        line-height: normal;
    }
    .table-row-logged-no-image {
        grid-template-columns: minmax(320px, 725px) minmax(200px, 195px);
    }
    .table-row-logged {
         grid-template-columns: minmax(320px, 575px) minmax(220px, 230px);
    }
    .to--order {
        font-size: 10px;
    }
    
}
@media (max-width: 840px) {
    .category--wrapper {
        flex-wrap: wrap;
    }
    .category--wrapper-left,
    .category--wrapper-sidebar {
        max-width: 100%;
        
    }
  
    .category--wrapper-sidebar .product--company{
       display: none;
    }
    .category--wrapper-top{
   
    }
 
}

@media (max-width: 767px) {
    .registr--content h3{
        font-size: 18px;
    }
    .to--order {
        font-size: 13px;
    }

    .mobile-right-buttons{
        display: flex;
        align-items: center;
        gap: 5px;
        margin-left: auto;
    }
    .category-search-logged-select .add--cart{
        padding: 8px 10px;
    }
    .category-search-logged-left {
        flex-wrap: wrap;
        min-width: auto;
    }
    .category-search-logged-select .custom-select__trigger {
        height: 36px;
    } 
    .forum--search input {
        height: 36px;
        background-size: 15px;
    }
    .in--check label {
        padding: 10px 10px;
        height: 36px;
        gap: 16px;
    }
    .category-search-logged {
        flex-wrap: wrap-reverse;
    }
    .category-search-logged-select {
        flex: 0 0 100%;
        display: flex;
        align-items: center;
    }
    .table-head {
        display: none;
    }
    .code {
        color: #4E4E4E;
        font-weight: 300;
    }
    .mobile-hide{
        display: none !important;
    }
    .mobile-flex {
        display: flex;
        align-items: center;
        gap: 5px;
        width: auto;
    }
    .mobile-flex-column{
        display: flex;
        flex-direction: column;
        align-items: flex-start !important;
        gap: 4px;
    }
    .table-row-left {
        display: flex;
        max-width: 100%;
        flex-wrap: wrap;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }
    .forum--search {
        max-width: 100%;
        min-width: max-content;
    }
    .forum-wrapper-sidebar .forum--search {
        max-width: 100%;
    }
    .about--blockquoute blockquote h5 {
        font-size: 22px;
    }
 
    .news--single-image {
        margin-bottom:70px;
    }
    .news--single-middle {
        margin-top: -200px;
    }
    .about--middle h2 {
        font-size: 26px;
    }
    .footer-top {
        margin-bottom: 20px;
    }
    .footer-col:first-child{
        grid-column: 1 / span 2;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
    }
    .news-text .news-link {
        -webkit-line-clamp: 2;
        line-height: normal;
    }
    .news-item img {
        height: 100%;
    }
    .promo-card p {
        max-width: 55%;
    }
    .cookie--wrapper{
        right: inherit;
        bottom:0;
        max-width: 100%;
    }
    .cookie--wrapper-block {
        margin:10px
    }
    .editor--change a {
        font-size: 0;
        gap: 0;
    }
    .editor--top{
        gap: 16px;
    }
    .edit--available-column {
        flex-wrap: wrap;
    }
    .editor--bottom h2{
        font-size: 24px;
    }
    .cat-item img {
        min-width: auto;
        max-width: 100%;
    }
    .profile--account a span{
        background:var(--white);
        border: 1px solid var(--white);
    }
    .profile--account a span svg path{
        fill: var(--primary-blue);
    }
    .profile--wrapper {
        flex-wrap: wrap-reverse;
    }
    .profile--sidebar,
    .profile--content{
        max-width: 100%;
        position: static;
    }
    .profile--account {
        position: fixed;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        left: 0;
        bottom: 0;
        justify-content: center;
        background: var(--text-color);
        margin: 15px;
        z-index: 99;
        gap: 10px;
    }
    .profile--account a{
        font-size: 14px;
        line-height: normal;
        flex-direction: column;
        justify-content: flex-start;
        text-align: center;
        color:#fff;
    }
    .product--wrapper {
        flex-wrap: wrap;
    }
    .category--wrapper-left,
     .product--left,
     .product--sidebar {
        max-width: 100%;
    }
    .category--wrapper-top {
        justify-content: space-between;
        width: 100%;
    }
    .maps--wrapper {
        gap: 0;
    }
    .maps--right {
        width: 100%;
    }
    .maps--grid {
        flex-wrap: wrap;
        gap: 15px;
        width: 100%;
    }
    .maps--grid:not(:last-child){
        padding-bottom: 15px;
        margin-bottom: 15px;
        border-bottom: 1px solid #e8ecf1;
    }
    .maps--right img {
        width: 100%;
    }
    .news--single-page h1 {
        font-size: 32px;
    }
    .news--single-content blockquote{
        font-size: 24px;
        gap: 15px;
        line-height: normal;
    }
    .text--content, .text--content p{
        font-size: 16px;
    }
    .forum--grid-bottom-right a span{
        font-size: 12px;
    }
    .forum--grid-bottom {
        gap: 15px;
    }
    .forum--grid{
        padding: 20px;
    }
    .forum--wrapper{
        flex-wrap: wrap;
        flex-direction: column-reverse;
    }
    .forum-wrapper-sidebar{
        width: 100%;
    }
    .forum--top-grid {
        width: 100%;
    }
    .forum--top{
        flex-wrap: wrap;
    }
    .contact--page,
    .contact--form{
        margin-top: 20px;
    }
    .catalog--wrapper{
        gap: 20px;
    }
    .catalog--grid-list ul {
        padding-left: 35px;
    }
    .catalog--grid-list ul li a {
        line-height: normal;
        font-size: 14px;
    }
     .forum--section-title {
        font-size:24px;
    }
    .titles--catalog{
        gap: 15px;
    }
    .catalog--grid{
        padding: 12px 20px 12px 20px;
        width: calc(100% / 2 - 10px);
    }
    .archive--middle{
        padding-bottom: 15px;
    }
    .archive--grid {
        margin: 15px 0;
    }
    .archive--filters ul a {
        font-size: 14px;
        padding: 10px 15px;
    }
    .archive--filters ul{
        gap: 10px;
    }
    .archive--grid-title {
        font-size: 18px;
        line-height: normal;
    }
    .archive--grid-tag {
        font-size: 11px;
    }
    .archive--grid-text{
        font-size: 12px;
    }
    .about--page {
        min-height: auto;
    }
    .row-bg{
        padding: 20px 15px;
    }
    .about--page h1 span{
        font-size: 52px;
    }
    .about--page h1 {
        position: static;
        line-height: normal;
        gap: 15px;
        font-size: 22px;
    }
    .partners--wrapper{
        gap: 0;
    }
    .partners--friends-wrapper{
        gap: 20px;
    }
    .partners--friends-grid {
        width: calc(100% / 2 - 10px);
    }
    .partners--logo-content {
        flex-direction: column;
        flex-wrap: wrap;
    }
    .partners--logo-grid {
        width: calc(100% / 2 - 10px);
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }
    .partners--logo-wrapper{
        margin-top: 30px;
        gap: 20px;
    }
    .titles h2{
        font-size: 26px;
    }
    .partners--bottom{
        overflow-x: auto;
    }
    .partners--page{
        padding: 30px 0;
    }
    .partners--flag:before{
        display: none;
    }
    .partners--top{
        flex-wrap: wrap;
        gap:30px
    }
    .archive--page h1, .stores--page h1{
        font-size: 36px;
    }
    body {
        padding-top: 71px;
    }
    header {
        position: fixed;
        top:0;
        left:0;
        width: 100%;
        background-color: var(--white);
        z-index: 101;
    }
    .editor header {
        top: 64px;
    }
    .edit--wrapper-fixed{
        position: fixed;
        top:0;
        z-index: 150;
    }
    .editor {
        padding-top: 135px;
    }
    .editor.active {
        overflow: hidden;
    }
    .editor.active .edit--wrapper-fixed{
        height: 100%;
        overflow-y: auto;
    }
    .editor--form {
        padding-bottom: 15px;
    }
    .mobile-menu-btn {
        display: flex;
        align-items: center;
        justify-content: center;
        border: 0;
        padding: 0;
        border-radius: 4px;
        background: var(--primary-blue);
        width: 35px;
        height: 35px;
    }
    .burger--menu {
        width: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        cursor: pointer;
    }
    .burger--menu span {
        display: flex;
        transition: .2s all linear;
        width: 100%;
        height: 2px;
        border-radius: 5px;
        background: #fff;
    }
    .burger--menu span:nth-child(2) {
        margin: 4px 0;
        max-width: 15px;
        margin-left: auto;
    }
    .mobile-menu-btn.active>.burger--menu span:first-child,
    .mobile-menu-btn.active a .burger--menu span:first-child {
        transform: rotate(-45deg);
    }
    .mobile-menu-btn.active>.burger--menu span:nth-child(2),
    .mobile-menu-btn.active a .burger--menu span:nth-child(2) {
        opacity: 0;
        transform: rotate(45deg);
        margin: 6px 0;
    }
    .mobile-menu-btn.active>.burger--menu span:last-child,
    .mobile-menu-btn.active a .burger--menu span:last-child {
        transform: rotate(45deg);
        margin-top: -16px;
    }
    .mobile-menu {
        position: fixed;
        top: 71px;
        width: 100%;
        height: calc(100vh - 71px);
        background: #fff;
        overflow-y: auto;
        transition: .2s all ease;
        transform: translateX(-150vw);
        z-index: 100;
    }
    .mobile-menu.show {
        transform: translateX(0);
    }
     .mobile-menu {
        display: block;
    }
    .search-bar {
        position: fixed;
        top:0;
        transform: translateY(-150vw);
        transition: .2s all ease;
    }
    .search-bar.active {
        transform: translateY(0);
        top: 71px;
        background: #e8ecf1;
        padding: 10px 15px;
        width: calc(100% - 30px);
        border-radius: 4px;
        display: flex;
        z-index: 102;
        left:15px;
    }
    .search-results {
        width: 100%;
    }
    .mobile__menu__box-top {
        border-bottom: 1px solid #F3F3F3;
        background: #F3F3F3;
        padding: 16px 19px;
        display: flex;
        align-items: center;
        justify-content: center;
     
    }
    .mobile__menu__box__top-language{
        display: flex;
        align-items: center;
        gap:15px;
        justify-content: center;
    }
    .mobile__menu__box__top-language a {
        color: #656565;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -0.28px;
        display: flex;
        align-items: center;
        gap: 7px;
        padding: 5px;
        background: var(--white);
        border-radius: 4px;
    }
    .mobile__menu__box__top-language img {
        max-width: 22px;
    }
    .mobile__menu__box-middle {
        padding: 22px 20px;
        border-bottom: 1px solid #F3F3F3;
    }
    .nav-list{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        gap: 25px;
    }
    .nav-list a {
        font-size: 16px;
    }

    .hero__container {
        flex-wrap: wrap;
        gap: 30px;
    }
    .nav-list {
        white-space: nowrap;
        padding-bottom: 10px;
    }
    
    .header-nav__container{
        display: none;
    }
    .left--phone,
    .btn-login,
    .btn-cart,
    .mobile--search-btn{
        padding: 8px 10px;
        width: 35px;
        height: 35px;
        display: flex;
        align-items: center;
        
    }
    .left--phone svg,
    .btn-login svg,
    .btn-cart svg,
    .mobile--search-btn svg{
        min-width: 15px;
        max-width: 15px;
    }
    .mobile--search-btn {
        background: #e8ecf1;
        border-radius: 4px;
    }

    .header-contacts .phone{
        display: none;
    }
    .right--phone{
   
    }
    .right--phone,
    .right--phone span {
        font-size: 18px;
    }
    .lang-switch-mobile {
        display: none;
    }
    .hero-slider {
        height: auto;
    }
   
   
    .img-block {
        margin-top: 20px;
    }

    .hero-news {
       grid-template-columns: repeat(2, 1fr);
       display: grid;
    }
    .catalog-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .brands__container {
        justify-content: center;
        gap: 5px;
        padding: 15px 20px;
    }
    .brands__container span{
        padding-right: 15px;
        margin-right: 15px;
        font-size: 16px;
    }
    .btn-dark {
        font-size: 12px;
        padding: 8px 12px;
    }
    .brands--logo{
        margin-right: 15px;
        gap: 15px;
    }
    .footer-top {
        grid-template-columns: 1fr;
    }
    .cat-item {
        padding: 15px;
        min-height: auto;
    }
    .cat-item p{
        margin-top: 15px;
    }
    .section-header h2{
        font-size: 22px;
    }
    .about__container {
        flex-wrap: wrap;
    }
    .about-img {
        max-width: 100%;
    }
    .about-img img {
        height: 300px;
        object-fit: cover;
        width: 100%;
    }
    .about-content{
        max-width: 100%;
    }
    .header-top {
        display: none;
    }
    .link-item p {
        margin-top: auto;
    }
    .about-content h2{
        font-size: 22px;
    }
    .mobile__menu-about {
        margin: 31px auto 25px;
        padding: 0 21px;
        gap: 25px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
    }
    .mobile__menu-about a {
        display: flex;
        align-items: center;
        gap: 10px;
    }
   .mobile__menu-about .phone .right--phone span {
        color: #000;
        font-size: 13px;
        font-style: normal;
        font-weight: 300;
        line-height: 16px;
   }
   .advantages__container {
        flex-wrap: nowrap;
        overflow-y: scroll;
        gap: 15px;
        padding: 15px;
   }
   .adv-item {
        width: auto;
        min-width: 75%;
   }
    .adv-item svg {
        min-width: 30px;
        max-width: 30px;
    }
    .promo-card{
        height: auto;
    }
    .footer-top {
           grid-template-columns: repeat(2, 1fr);
    }
    .contacts-col{
        text-align: left;
    }
    .footer{
        margin-top: 15px;
        padding: 15px 0 15px;
    }
    .catalog--wrapper {
        margin-top: 30px;
    }
    .titles--catalog{
        margin-top: 16px;
        flex-wrap: wrap;
    }
    .category--wrapper {
        flex-direction: column;

    }
    .category--wrapper-sidebar {
        position: static;
    }
    .category--wrapper-left,
    .category--wrapper-sidebar {
        max-width: 100%;
        width: 100%;
    } 
    .forum--search input{
        padding: 10px 12px 10px 40px;
    }
    .in--check label {
        padding: 10px 15px;
    }
    .category-search-logged-select select {
        padding: 6px 35px 6px 12px;
    }
    .profile--account a:hover {
        color: var(--white);
    }
    .check--cart label{
        padding: 0;
    }
    .info-grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .info-grid .cat-item:nth-child(n+4) {
        grid-column:inherit ;
    }
    .info-grid .cat-item:nth-child(-n+3) {
        grid-column: inherit;
    }
    .profile--addresse {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .maps--wrapper,
    .maps--bottom-text {
        margin-top: 32px;
    }
    .about--blockquoute{
        margin-bottom: 32px;
    }
    .titles h1 {
        font-size: 32px;
        line-height: normal;
    }
    .about--blockquoute blockquote{
        padding:20px;
    }
    .category-search-logged {
        overflow-x: inherit;
    }
    .profile--account a:hover,
    .profile--account a.active {
        color: var(--white);
    }
      .table-right-no-logged {
        grid-template-columns: 75px 50px;
        margin-left: auto;
    }
    .catalog--section {
         margin-bottom: 30px;
    }
}
@media (max-width: 576px) {
    .profile--content .in--check label {
        padding: 0;
    }
    .archive--row{
        gap: 10px;
    }
    .edit--available-select .input-group-text {
        font-size: 10px;
        padding: .375rem 5px;
    }
    .edit--available-select .form-control {
        font-size: 10px;
        padding: 8px 10px;
    }
    .edit--available-select .custom-select__trigger {
        padding: 8px 10px;
        font-size: 13px;
    }
    .category--wrapper {
        gap: 16px;
    }
    .text-buttons {
        gap: 16px;
    }
    .promo-card h3{
        font-size: 18px;
    }
    .red-bg p, .cian-bg p, .darkblue-bg p{
        font-size: 14px;
    }
    .registr--content .in--check{
        margin-left: 10px;
    }
    .product--wrapper .category--wrapper-top {
        flex-wrap: nowrap;
    }
    .category--wrapper-sidebar .category--wrapper-top,
    .category--wrapper-sidebar .product--company,
    .category--wrapper-sidebar .product--cart,
    .category--wrapper-sidebar .same--cat--wrapper{
       display: none;
    } 
    .cat--btn {
        padding: 10px 10px;
    }
    .category--wrapper {
        margin-top: 24px;
    }
    .add--cart-mobile{
        height: 36px;
        flex: 1;
    }
    .category-search-logged-select .custom-select__trigger {
        height: 36px;
    }
    .category-search-logged {
        flex-wrap: wrap-reverse;
    }
    .to--cart-add,
    .to--cart-in {
        padding: 3px 8px;
    }
    .to--count {
        max-width: 72px;
    }
    .table-row-right > div,
    .table-row-left > div {
        padding: 5px 0;
        line-height: 140%;
    }
 

    .mobile-hide {
        display: none !important;
    }

    .mobile-show {
        display: block;
    }
    .mobile-flex-column {
        display: flex;
        flex-direction: column;
        align-items: flex-start !important;
        gap: 4px;
    }
    .mobile-flex {
        display: flex;
        align-items: center;
        gap: 5px;
        width: auto;
    }

    .category--table {
        margin-left: -15px;
        margin-right: -15px;
    }
    .table {
        padding-left: 15px;
        padding-right: 15px;
    }
    .table-row {
        flex-direction: row;
        display: flex;
        gap: 5px;
        padding-top: 10px;
        padding-bottom: 10px;
        justify-content: space-between;
    }
    .table-row-left {
        display: flex;
        max-width: 55%;
        flex-wrap: wrap;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }
    .table-row-right{
        display: grid;
        grid-template-columns: auto auto;
        gap: 12px;
        justify-content: flex-start;
    }
    .table-row-right > div:nth-child(1) {
        order: 1;
    }
    .table-row-right > div:nth-child(2) {
        order: 3;
    }
    .table-row-right > div:nth-child(3) {
        order: 4;
    }
    .table-row-right > div:nth-child(4) {
        order: 2;
    }
    .table-head {
        display: none;
    }
    .table-right-logged-no-image > div:nth-child(1) {
        align-items: flex-end !important;
        grid-column: 1 / -1;
        justify-content: flex-end;
    }

    .profile--comment-grid {
        gap: 16px;
    }
    .profile--comment-grid span:first-child {
        max-width: 55%;
        min-width: 55%;
        width: 100%;
    }
    .orders--table thead tr:first-child th,
    .orders--table td{
        font-size: 12px;
    }

    .category-search-logged-select {
        flex: 0 0 100%;
    }
    .profile--content .category-search-logged-select {
        flex: none;
    }
    .category-search-logged-left {
        flex-wrap: wrap;
        min-width: auto;
        gap: 12px 5px;
       justify-content: space-between;
    }
    .category--table .kw--svg {
        display: none;
    }

    
    .stores--day-off {
        flex-direction: column;
        gap: 16px;
    }
    .stores--day-off h2 {
        font-size: 26px;
        line-height: normal;
    }
    .search-bar.active {
        max-width: 100%;
    }
    .drop-entered {
        min-width: 150px;
    }
    .vacances--grid-image img{
        width: 100%;
        max-width: 100%;
        max-height: 100%;
        min-height: 100%;
        min-width: 100%;
    }
    .vacances--grid {
        flex-wrap: wrap;
    }
    .edit--available-column {
        flex-wrap: wrap;
    }
  
   .editor--change  .profile--orders-button {
        flex-wrap: nowrap;
    }
    .text td,
    .text:first-child th {
            padding: 12px 10px;
            font-size: 14px;
    }
    .editor-group {
        flex-direction: column;
        gap: 16px;
    }
    .edit--btn a {
        min-width: max-content;
        font-size: 12px !important;
    }
    .tab-btn{
        font-size: 14px;
    }
    .alert{
        align-items: flex-start;
    }
    .profile--content h2, .registr--content h2{
        min-width: 100%;
    }
   .input-checkbox .input-group-prepend {
        max-width: 100% !important;
    }
    .input-checkbox {
        gap: 16px;
    }
    .registr--content .input-group-prepend {
        max-width: 180px;
        width: 100%;
    }
    .input-group-text {
         padding: .375rem 10px;
         font-size: 12px;
    }
    .category-search-logged-select select {
        padding: 6px 30px 6px 10px;
    }
    .in--check label {
        padding: 10px 10px;
        height: 36px;
        gap: 16px;
    }
    .forum--search input {
        height: 36px;
        background-size: 15px;
    }
    .profile--title {
        flex-wrap: wrap;
    }
    .order--top-right {
        gap: 5px;
    }
    .in--check label {
        font-size: 14px;
    }
    .profile--title h1 {
        font-size: 24px;
    }
    .p--f-title{
        font-size: 12px;
        line-height: normal;
    }
    .p--f-price{
        font-size: 14px;
    }
    .profile--finance-summary,
    .profile--finance-title,
    .profile--addresse {
        padding: 15px;
        flex-direction: column;
        align-items: flex-start;
    }
    .profile--finance-title h3 {
        margin-bottom: 0;
    }
    .profile--account a{
        font-size: 11px;
      
    }
    .mobile {
        display: flex;
    }
    .desctop{
        display: none;
    }
    .title--product-mob{
        display: block;
        color: var(--text-color);
        font-size: 22px;
        font-style: normal;
        font-weight: 700;
        line-height: 140%; /* 37.8px */
        letter-spacing: -0.54px;
        margin-top: 0;
    }
    .product--options h1{
        display: none;
    }
    .product--bottom{
        flex-direction: row;
        justify-content: space-between;
    }
    .product--top {
        flex-wrap: wrap;
    }
    .product--images{
        max-width: 100%;
    }
    .category--wrapper-top{
        justify-content: space-between;
        width: 100%;
    }
    .forum--section-title {
        font-size: 18px;
        gap: 15px;
    }
    .like--icon,
    .like--count {
        padding: 0 10px;
        height: 32px;
    }
    .btn--contact{

    }
    .contact--form-wrapper,
    .contact--req{
        padding: 20px;
    }
    .form--bottom {
        flex-wrap: wrap;
    }
    .btn--form {
        width: 100%;
    }

    .catalog--grid{
        width: 100%;
    }
   
    .archive--page h1, .stores--page h1{
        font-size: 26px;
    }
    .partners--top-left h2{
        font-size: 24px;
    }
    .news-image {
        min-width: 65px;
        max-width: 65px;
    }
    .hero-news{
        gap: 10px;
    }
    .text-block h1{
        font-size: 16px;
         line-height: normal;
    }
    .text-block p{
        font-size: 12px;
        line-height: normal;
    }
    .btn-primary{
        font-size: 10px;
        padding: 8px 15px;;
    }
    .tag{
        font-size: 12px;
    }
    .footer-bottom{
        flex-wrap: wrap;
        justify-content: center;
    }
    .left--f {
        text-align: center;
    }
    .brands__container img{
            min-width: 55%;
    }
    .brands__container span{
        font-size: 11px;
    }
    .btn-dark{
        font-size: 10px;
    }
    .brands__container{
        padding: 10px 15px;
    }
    .partners--logo-link a{
        font-size: 12px;
        gap: 10px;
    }
    .partners--logo-grid {
        padding: 10px;
    }
    .archive--grid-title {
        font-size: 14px;
    }
    .table-right-no-logged {

        grid-template-columns: 75px 50px;
    }
    .post--form{
        padding: 15px 15px;
    }
    .file-name{
        text-wrap-mode: nowrap;
        font-size: 12px;
    }
}
@media (max-width: 400px) {
    .archive--row{
        grid-template-columns: auto;
    }
    .edit--available-select .input-group-text{
        font-size: 14px;
        padding: .375rem 10px;
    }
    .edit--available-select .form-control {
        font-size: 14px;
    }
    
}